-----------------------------------
-- Area: West Ronfaure	
-- MOB:  Forest Hare	
-----------------------------------	
	
package.loaded["/scripts/zones/West_RonFaure/MobIDs"] = nil;
require("/scripts/zones/West_RonFaure/MobIDs");
require("/scripts/globals/fieldsofvalor");

-----------------------------------
-- onMobDeath	
-----------------------------------
	
function onMobDeath(mob,killer)
  checkRegime(killer,mob,80,1);

  -- Check if Mob is NM PHer
  if (inArray(JJ_PH, mob:getID())) then

    -- Get NM's previous ToD
    JJ_ToD = GetServerVariable("[POP]Jaggedy-Eared_Jack");

    -- Check if NM window is open, and that the NM isn't popped already (ACTION_NONE = 0)
    if (JJ_ToD <= os.time(t) and GetMobAction(JAGGEDYEARED_JACK) == 0 ) then

      -- Give Mob a 5% chance to spawn NM
      if (math.random((1),(20)) == 5) then

        -- Use the PH's pos
        SetMobPos(JAGGEDYEARED_JACK, mob:getXPos(), mob:getYPos(), mob:getZPos(), math.random((0),(360)));

        -- Set NM to spawn on PH respawn
        SpawnMob(JAGGEDYEARED_JACK, 'nil', 330);

        -- Set PH action to ACTION_NONE, and save id to DB until NM death
        SetServerVariable("[PH]Jaggedy-Eared_Jack", mob:getID());
        DeterMob(mob:getID(), true);
      end

    end

  end

end;
